### Method

# Gtk Editableset_position

#### Declaration [src]

    void
    gtk_editable_set_position (
      GtkEditable* editable,
      int position
    )

#### Description [src]

Sets the cursor position in the editable to the given value.

The cursor is displayed before the character with the given (base 0) index in the contents of the editable. The value must be less than or equal to the number of characters in the editable. A value of -1 indicates that the position should be set after the last character of the editable. Note that `position` is in characters, not in bytes.

Sets property | `Gtk.Editable:cursor-position`

#### Parameters

`position`

  Type: `int`

  The position of the cursor.